Redmine - Feature #20106

Adding issue watchers to "Issues Visibility" permissions
2015-06-16 19:48 - Emrah KAVUN

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues permissions Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

Currently, issues visibility options in "Roles & Permissions" determine if a user is allowed to see all issues, all non private
issues, or issues created by, or assigned to the user.
Feature request:

e Add an option to allow issues where the user is a watcher. This could be bundled with the last option, where the user either
created the issue, is assigned to the issue or is a watcher on the issue.

History

#1 - 2015-09-24 10:33 - Alexis Parent

+1

#2 - 2015-10-02 14:15 - Ezequiel Hernandez

+1

#3 - 2015-11-19 05:30 - Hang Xie
Try my patch at Issue #8488

#4 - 2015-12-18 05:34 - Toshi MARUYAMA

- Related to Feature #8488: Create an 'Involve' mechanism to private issues added

#5 - 2015-12-18 05:35 - Toshi MARUYAMA

- Related to Feature #16845: Add permission rule to allow watchers can edit issues added

#6 - 2016-01-16 07:24 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

Closing as duplicate of #14318. The patch attached to that issue suggests new option "Issues created by, assigned to, or watched by the user" to
"Issues visibility".

#7 - 2016-01-16 07:24 - Go MAEDA
- Is duplicate of Patch #14318: Watchers Alerted To Changes But Cannot See Issues (potentially) added

#8 - 2016-02-15 04:42 - Toshi MARUYAMA

- Related to deleted (Feature #8488: Create an 'Involve' mechanism to private issues)

#9 - 2016-02-15 04:43 - Toshi MARUYAMA

- Related to deleted (Feature #16845: Add permission rule to allow watchers can edit issues)

#10 - 2016-05-08 09:13 - Jean-Philippe Lang
https://www.redmine.org/issues/8488
https://www.redmine.org/issues/14318

- Is duplicate of deleted (Patch #14318: Watchers Alerted To Changes But Cannot See Issues (potentially))
